JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
ContainerDeletePolicy< ObjectType > Struct Template Reference
juce_core » memory

Used by container classes as an indirect way to delete an object of a particular type. More...

`#include <juce_ContainerDeletePolicy.h>`

## Static Public Member Functions
static void | destroy (ObjectType *object)

## Detailed Description

template<typename ObjectType>
struct ContainerDeletePolicy< ObjectType >

Used by container classes as an indirect way to delete an object of a particular type.

The generic implementation of this class simply calls 'delete', but you can create a specialised version of it for a particular class if you need to delete that type of object in a more appropriate way.

See also
  OwnedArray

## Member Function Documentation

## ◆ destroy()

template<typename ObjectType >

static void ContainerDeletePolicy< ObjectType >::destroy | ( | ObjectType * | object | ) |
| static

The documentation for this struct was generated from the following file:

- juce_ContainerDeletePolicy.h